footer {
    background: #202020;
}

.footer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.footer__button {

    img {
        width: 52px;
        height: 51px
    }

    border-radius: 139px;
    border: 1px solid var(--Gray-6, #F2F2F2);
    padding: 3px 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 53px 0 113px 0;

    &:hover {
        background-color: #f8f8f844;
        transition-duration: 0.2s;
        cursor: pointer;

        box-shadow: 10px 5px 5px #070707; 
    }
}

.footer__button-text {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;

    h4 {
        color: #FFF;
        text-align: center;
        font-family: DynaPuff;
        white-space: nowrap;
        font-size: 20px;
        font-weight: 700;
        line-height: normal;
    }

    h6 {
        color: #FFF;
        text-align: center;
        font-family: 'Manrope', sans-serif;
        font-size: 15px;
        font-weight: 500;
        line-height: normal;

        img {
            position: relative;
            top: 2px;
            left: 24px;
            width: 32.788px;
            height: 15.5px;
        }
    }
}

.footer__social-networks {
    ul {
        display: flex;
        justify-content: center;
        gap: 34px;

        a {
            &:hover {
                background-color: #f8f8f844;
                transition-duration: 0.1s;
                cursor: pointer;
                border-radius: 50px;
                box-shadow: 10px 5px 5px #070707; 
            }
        }
    }

    h6 {
        color: #FFF;
        text-align: center;
        font-family: 'Manrope', sans-serif;
        font-weight: 500;
        line-height: normal;
        margin-top: 21px;
        margin-bottom: 40px;
    }
}


@media screen and (min-width: 768px) and (max-width: 1199px) {
    .footer__button {

        img {
            width: 108px;
            height: 108px
        }

        padding: 32px 56px;
        gap: 40px;
        margin: 96px 0 60px 0;
    }

    .footer__button-text {
        gap: 16px;

        h4 {
            font-size: 48px;

        }

        h6 {
            color: #FFF;
            text-align: center;
            font-family: 'Manrope', sans-serif;
            font-size: 24px;
            font-weight: 500;
            line-height: normal;

            img {
                position: relative;
                top: 2px;
                left: 24px;
                width: 55px;
                height: 26px;
            }
        }
    }

    .footer__social-networks {

        h6 {
            margin-top: 21px;
            margin-bottom: 35px;
        }
    }
}


@media screen and (min-width: 1200px) {



    .footer__button {
        padding: 42px 137px;
        gap: 45px;
        margin-top: 78px;
        margin-bottom: 163px;

        img {
            width: 108px;
            height: 108px
        }
    }

    .footer__button-text {
        gap: 17px;

        h4 {
            font-size: 48px;
        }

        h6 {
            font-size: 24px;

            img {
                position: relative;
                top: 2px;
                left: 24px;
                width: 55px;
                height: 26px;
            }
        }
    }

    .footer__social-networks {
        h6 {
            margin-bottom: 30px;
        }
    }
}